ConteoDocs

SendDocument

Enviar una factura para autorización de la DGI.

POST
/SendDocument

Authorization

BearerAuth
AuthorizationBearer <token>

JWT token provided by G-Force. Sent in the Authorization header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://gateway-eb-develop.gforceint.com/api/v1/GFGatewayEB/SendDocument" \  -H "Content-Type: application/json" \  -d '{    "GF_Company": "your_gforce_username",    "GF_Token": "your_gforce_password",    "Id_Pac": "EBI",    "Enterprise": "your_enterprise_code",    "Company": "your_pac_username",    "Token": "your_pac_password",    "identifierControlShipping": "1",    "environment": "2",    "document": {      "codeBranchIssuer": "0000",      "dataTransaction": {        "typeEmission": "01",        "typeDocument": "01",        "numberDocumentFiscal": "0000017681",        "pointBillingFiscal": "505",        "dateBroadcast": "2023-10-07T07:49:27-05:00",        "natureOperation": "01",        "typeOperation": "1",        "destinationOperation": "1",        "formatCAFE": "3",        "deliveryCAFE": "3",        "shippingContainer": "1",        "processGeneration": "1",        "typeSale": "1",        "client": {          "typeClientEB": "02",          "typeTaxpayer": "1",          "numberRUC": "155596713-2-2016",          "digitCheckRUC": "59",          "businessName": "Ambiente de pruebas",          "address": "Ave. La Paz",          "codeLocation": "1-1-1",          "province": "Bocas del Toro",          "district": "Bocas del Toro",          "correction": "Bocas del Toro",          "telephone1": "9999-9999",          "email1": "client@example.com",          "country": "PA"        }      },      "listItems": [        {          "description": "Servicio de consultoria",          "code": "SRV-001",          "amount": "1.00",          "priceUnit": "500.00",          "priceUnitDiscount": "0.00",          "priceItem": "500.00",          "rateITBMS": "01",          "valueITBMS": "35.00",          "totalValue": "535.00",          "codeGTIN": "0",          "cantGTINCom": "1.00",          "codeGTINInv": "0",          "cantGTINComInv": "1.00"        }      ],      "totalsSubTotals": {        "totalPriceNet": "500.00",        "totalITBMS": "35.00",        "totalISC": "",        "totalAmountTaxed": "35.00",        "totalInvoice": "535.00",        "totalValueReceived": "535.00",        "timePayment": "1",        "nroItems": "1",        "totalAllItems": "535.00",        "listFormPayment": [          {            "formPaymentInvoice": "02",            "valueFeePaid": "535.00"          }        ]      }    }  }'
{
  "code": "101",
  "result": "error",
  "message": "Token de emisor invalido."
}
{
  "code": "102",
  "result": "error",
  "message": "Documento duplicado."
}
{
  "code": "109",
  "result": "error",
  "message": "Campo numberDocumentFiscal es requerido."
}
{
  "code": "200",
  "result": "procesado",
  "message": "El documento se envió correctamente.",
  "cufe": "FE01200002496132-1-818283-9000002026032141183199905120125135638844",
  "id": null,
  "invoice": null,
  "qr": "https://dgi-fep-test.mef.gob.pa:40001/Consultas/FacturasPorQR?chFE=FE01200002496132-1-818283-9000002026032141183199905120125135638844&iAmb=2&digestValue=QRIJ55/JTuzo7o9OGIMcdnMLf9cpJ2+/QIOCCarUaoI=",
  "xml": null,
  "receptionDateDGI": "2026-03-21T13:38:46-05:00",
  "nroAuthorizationProtocol": "0000155709723-2-202120260000000001374483",
  "deadline": null,
  "secuence": null,
  "warnings": [
    {
      "code": "200",
      "message": "El documento se envió correctamente.",
      "fieldName": null
    }
  ]
}
{
  "code": "201",
  "result": "error",
  "message": "Error procesando la solicitud."
}